#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
#       Barcelona Supercomputing Center - Centro Nacional de Supercomputacion
#       Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: 
#       Joan Sala Calero (joan.sala@bsc.es)
#       Ivan Jose Cernicharo Ortiz (ivan.cernicharo@bsc.es)

import sys
import logging
import os
import subprocess
from datetime import date
from datetime import datetime
from cdo import Cdo
import numpy as np

# Local imports
from utils.utils_files import *

"""
Class: Spatial consistency checks
---
- Check frequency/leadtimes of a given variable
"""
class temporal_consistency_test:

    def __init__(self, logdir, path, time_interval):
        self.testid = 'test05-temporal-consistency'
        self.path = path
        self.logdir = logdir
        self.units = time_interval[0][0]
        self.interval = time_interval[1:][0]
        self.files = dir_or_file(path)
            
    def diff_dates(date1, date2, units, delta):
       print(abs(date2.month - date1.month))
       if (units == month):
           if abs(date2.month-date1.month) != delta :
               print('error')
           else:
               print('ok')
       elif (units == hours):
           if abs(date2.month-date1.hour) != delta :
               print('error')
           else:
               print('ok')
       else:
           print("units must be in hours or month")
    
    def main(self):
      # Initiate the appropiate logs
      initiate_logging(self.logdir, self.path, self.testid)      

      print('WILL BE READY SOON')
        

if __name__ == "__main__":
    sys.exit()
